Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class FindByActualProductType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v4.FindByActualProductType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:31+01:00",
               comments="JAXB RI v2.2.11")
    public class FindByActualProductType

extends Object
implements Serializable

Java class for FindByActualProductType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindByActualProductType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="AmpCode" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}AmpCodeType"/>
             <element name="AnyNamePart" type="{urn:be:fgov:ehealth:dics:core:v4:core}SearchStringType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindByActualProductType()`

Method Summary
`String` | `getAmpCode()` Gets the value of the ampCode property.
`String` | `getAnyNamePart()` Gets the value of the anyNamePart property.
`void` | `setAmpCode(String value)` Sets the value of the ampCode property.
`void` | `setAnyNamePart(String value)` Sets the value of the anyNamePart property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindByActualProductType

    public FindByActualProductType()

Method Detail

### getAnyNamePart

    public String getAnyNamePart()

  Gets the value of the anyNamePart property.

  Returns:
    possible object is `String`

### setAnyNamePart

    public void setAnyNamePart(String value)

  Sets the value of the anyNamePart property.

  Parameters:
    `value` - allowed object is `String`

### getAmpCode

    public String getAmpCode()

  Gets the value of the ampCode property.

  Returns:
    possible object is `String`

### setAmpCode

    public void setAmpCode(String value)

  Sets the value of the ampCode property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.